# DALocalToGlobalBegin

Adds values from the local (ghosted) vector into the global (nonghosted) vector.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DALocalToGlobalBegin(DA da,Vec l,Vec g)

Collective on DA

### Input Parameters

| da | - the distributed array context
| l | - the local values

### Output Parameter

g -the global vector

### Notes

Use DALocalToGlobal() to discard the ghost point values

The global and local vectors used here need not be the same as those obtained from DACreateGlobalVector() and DACreateLocalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DA originating vectors.

### Keywords

distributed array, global to local, begin

### See Also

DAGlobalToLocalEnd(), DALocalToGlobal(), DACreate2d(),
DALocalToLocalBegin(), DALocalToLocalEnd(), DALocalToGlobalEnd()

Level:beginner
Location: src/dm/da/src/dagtol.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages